# &kabcclient;i käsiraamat

Kevin
Krammer

     kevin.krammer@gmx.at

Marek
Laane

    bald@smail.ee

Tõlge eesti keelde
2008
Kevin Krammer
&FDLNotice;
2008-11-20
1.1.1

&kabcclient; on &kde; aadressiraamatute käsurealiides.

KDE
&package;
&kappname;
KAddressBook

## Sissejuhatus

&kabcclient; on &kde; aadressiraamatu käsurealiides. See võimaldab näha kontakte, neid otsida, lisada, eemaldada või liita käsureal või mõne skripti abil. &kabcclient; suudab käidelda mitmeid vorminguid nii sisendina kui ka väljundina, mis lubab seda kasutada kas või kogu &kde; aadressiraamatu importimiseks ja eksportimiseks.

Kui kutsuda &kabcclient; välja ilma argumentideta, alustab see otsingurežiimis ning püüab leida standardsisendist leitud sisendi põhjal sobivaid kontakti kirjeid &kde; aadressiraamatus.

&kabcclient;i põhiomadused:

- Kõigi &kde; aadressiraamatu kontaktide näitamine

- Sisendiga sobivate kontaktide otsimine

- Kontaktide lisamine

- Kontaktide eemaldamine

- Sobivatele kontaktidele uute andmete liitmine

&kabcclient; ei ole veel üks &kde; aadressiraamatu (s.t &aadressiraamat;u) graafiline kasutajaliides. &kabcclient; on mõeldud kasutamiseks just sellistel juhtudel, kus graafilise liidese kasutamine ei ole mõttekas või isegi võimalik.

&kabcclient;ei paku igakülgsete päringute võimalust kasutaja aadressiraamatus ja seda ei ole autoritel ka kavas. Kui keegi seda soovib, saab seda teha muude käsureatööriistadega või mõne skriptikeele vahendusel.

Omaduste lihtsamaks tuvastamiseks saab iga võtit, mis vajab argumenti, välja kutsuda ka väärtusega help. Sel juhul näidatakse kõiki väärtusi, mida antud võtmele saab anda.

## Võimalused

Selles peatükis kirjeldatakse &kabcclient;i põhiomadusi ning nende juhtimist käsureaparameetritega (meenutame, et &kabcclient; ei ole graafiline kasutajaliides, vaid ainult käsureal töötav programm).

Siin saab teada, kuidas lisada, kustutada ja otsida kontaktide andmeid ning kuidas kasutada sisendi ja väljundi puhul erinevaid vorminguid.

### Aadressiraamatu sisu näitamine

See on kõige elementaarsem töörežiim, mille saab käivitada võtmega `--list` või `-L`. &kabcclient; võtab ette kõik &kde; aadressiraamatu kontaktid ja kirjutab andmed programmi standardväljundisse. Väljundi maht ja vorming sõltuvad valitud väljundvormingust.

Kõigi kontaktide nägemiseks standardsete vCardi kirjetena anna lihtsalt käsk:

    % kabcclient -L

Et näha iga kontakti ainult ühel real, kui näiteks soovid lihtsalt nende arvu teada saada, anna käsk:

    % kabcclient -L -of uid

Järgmises näites tahame näha kõigi e-posti aadresse:

    % kabcclient --list -of email

### Sisendandmetele sobivate kontaktide otsimine

&kabcclient; võib võtta andmed käsurealt või programmi standardsisendist ning kontrollida, kas &kde; aadressiraamatus leidub neile minteid vasteid. Otsimine on vaikimisi režiim, kuid seda võib välja kutsuda ka konkreetselt, kasutades käsureaargumenti `--search` või `-S`.

Järgmises näites kirjutatakse kõik kontaktid, mille mis tahes nimeväljal või e-posti aadressis esineb jane, programmi standardväljundisse vCardi vormingus (see on nimelt võtme `--output-format` puhul vaikeväärtus):

    % kabcclient --search jane

Sama päring uuesti, aga sedakorda loetakse otsingustring programmi standardsisendist:

    % echo jane | kabcclient --search

Päringu tõstutundlikkust saab lülitada võtmega `--match-case`.

### Kontaktide lisamine

&kabcclient; toetab uute kontaktide lisamist &kde; aadressiraamatusse käsureaargumendiga `--add` või `-A`. Andmed võib edastada täiendavate käsureaargumentidena või lugeda standardsisendist. Edu korral kirjutatakse lisatud kontaktid programmi standardväljundisse. Et see toiming muudab aadressiraamatut, võib seda käivitada ka nii-öelda kuivalt, lisades võtme `--nosave`, mille korral tegelikult muudatusi ei tehta.

Nime ja e-posti aadressiga kontakti lisamine täiendavat käsureaargumenti sisendandmeteks võttes:

    % kabcclient --add --input-format email "John Doe <j.doe@example.com>"

Kõigi kontaktide lisamine vCardi failist, mis saadetakse programmi standardsisendisse:

    % cat example-file.vcf | kabcclient --add --input-format vcard

### Kontaktide kustutamine

&kabcclient; toetab kontaktide kustutamist &kde; aadressiraamatust käsureaargumendiga `--remove` või `-R`. Sisendandmed on põhimõtteliselt samasugune päring nagu aadressiraamatust otsimise puhul. Edu korral kirjutatakse eemaldatud kontaktid programmi standardväljundisse. Et see toiming muudab aadressiraamatut, võib seda käivitada ka nii-öelda kuivalt, lisades võtme `--nosave`, mille korral tegelikult muudatusi ei tehta.

Kui kustutad midagi aadressiraamatust, siis ei saa seda tagasi võtta! See tähendab, et kui oled midagi kustutanud, siis ei saa lihtsalt kustutamiskäsku tühistada ja loota, et kõik on endine. Kui oled millegi kustutanud, siis see ongi jäädavalt kustutatud.

Test kõigi kontaktide eemaldamiseks, mille nimes või e-posti aadressis esineb jane:

    % kabcclient --remove --nosave jane

### Sisend- ja väljundvormingud

&kabcclient; võib tõlgendada sisendandmeid ja vormindada väljundandmeid mitmesuguste vormindamisreeglite järgi. Sõltuvalt konkreetsest stsenaariumist on parim variant just mõni kindel kombinatsioon. Mõne vormingu puhul saab kasutada lisaparameetreid vormingu täiendavaks kohandamiseks.

Kuna tekstiandmeid saab kodeerida, on võimalik dekodeerimist või kodeerimist rakendada vastavalt nii sisendi kui väljundi puhul.

Kõigi käsureavõtmete korral saab lubatud väärtuste teadasaamiseks kasutada eriväärtust help.

#### vCardi vorming

vCard (RFC 2426) on kontaktandmete standardvorming ning võib sestap esitada kogu teavet, mida saavad kasutada teised aadressiraamatu rakendused, näiteks &aadressiraamat;. Seepärast on see ka väljundi vaikevorming.

#### Komadega eraldatud väärtuste (CSV) vorming

Komadega eraldatud väärtusi võib kasutada sisendvorminguna kontakti kirje konkreetsete väljade täitmiseks andmetega ning värjundvorminguna andmete taandamiseks või ümberkorraldamiseks edasise töötlemise huvides. Piisava paindlikkuse võimaldamiseks kontakti väljade seondamisel CSV veergudega saab viimaseid määrata CSV malli kirjendusfailide abil, mida samal eesmärgil kasutab ka &aadressiraamat;.

## Käsureaargumendid

&kabcclient; toetab järgmisi võtmeid:

Võti | Kirjeldus
--- | ---
`--help, --help-all` | Näitab abiteadet rakenduse võtmete kohta.
`--author` | Näitab infot programmi autori kohta.
`-v, --version` | Näitab programmi versiooni.
`--license` | Näitab infot programmi litsentsi kohta.
`--verbose` | Näitab töö ajal selgitavaid teateid.
`--nosave` | Näitab, mida vastav käsk teeb, aga ei tee seda tegelikult, see tähendab ei muuda midagi &kde; aadressiraamatus, ei lisa, eemalda ega muuda olemasolevaid kontakte.
`--match-case` | Sisendandmete võrdlemisel kontakti andmetega aadressiraamatus kasutatakse tõstutundlikku otsingut.
Peamised töörežiimid:
`-L, --list` | Kõigi kontaktide näitamine määratud ekspordivormingus.
`-A, --add` | Kontaktide lisamine aadressiraamatusse.
`-R, --remove` | Kontaktide kustutamine aadressiraamatust.
`-M, --merge` | Sisendi andmete liitmine sobivale kontaktile aadressiraamatus.
Vormindamine ja kodeering:
`-if, --input-format` vorming | Määrab, kuidas tõlgendada sisendandmeid. Saadaolevaid väärtusi näeb argumendiga help.
`-of, --output-format` vorming | Määrab, kuidas vormindada väljundandmed. Saadaolevaid väärtusi näeb argumendiga help.
`-if-opts, --input-format-options` võtmed | Sisendvormingu spetsiaalsed kohandamisvõtmed. Saadaolevaid väärtusi näeb argumendiga help.
`-of-opts, --output-format-options` võtmed | Väljundvormingu spetsiaalsed kohandamisvõtmed. Saadaolevaid väärtusi näeb argumendiga help.
`-ic, --input-codec` kodeering | Tekstikodeering sisendandmete jaoks. Saadaolevaid väärtusi näeb argumendiga help.
`-oc, --output-codec` kodeering | Tekstikodeering väljundandmete jaoks. Saadaolevaid väärtusi näeb argumendiga help.

## Küsimused ja vastused

&reporting.bugs; &updating.documentation;

Milliseid seadistusfaile kasutab &kabcclient;?

Mitte ühtki.

Mis on &kabcclient;i rakenduse nimi?

&kabcclient;i rakenduse nimi ongi kabcclient.

Kuidas saan lisada oma küsimuse sellele KKK-le?

Saada oma küsimus aadressile kevin.krammer@gmx.at.

## Autorid ja litsents

&kabcclient;i programmi autoriõigus 2005-2008:

- Kevin Krammer kevin.krammer@gmx.at

Dokumentatsiooni autoriõigus 2008:

- Kevin Krammer kevin.krammer@gmx.at

Tõlge eesti keelde: Marek Laane bald@smail.ee

&underFDL; &underGPL;

## Paigaldamine

### &kabcclient;i hankimine

&install.intro.documentation;

&kabcclient; on kaasas &kde;4-ga ega ole eraldi saadaval.

### Nõuded

&kabcclient; vajab &kde; standardseid teeke (paketid `kdelibs` ja `kdepimlibs`). Lähtekoodist kompileerimiseks on veel vajalikud &Qt;, `kdelibs`'i ja `kdepimlibs`'i arenduspaketid.

Muudatuste nimekirja leiab failist `ChangeLog`.

### Seadistamine

&kabcclient;i töötamiseks &kde; töökeskkonnas ei ole vaja midagi spetsiaalselt seadistada.

&documentation.index;